Subject: bug#490: [devuan-dev] bug#490: gpsd: Current version of gpsd does not install /etc/init.d/gpsd and fails to start

From: Boian Bonev <[email-masked]>
Date: Sun, 19 Jul 2020 05:33:38 +0300

Hi Mark,

> > Have tried on ascii and chimaera hosts - on ascii the build fails
> > because scons requires newer Python while on chimaera "dpkg-source
> > -b
> > ." exits with 127 without particular reason for that:
> 
> You need to build for unstable (ceres):
> 
>  - apt install git-buildpackage pbuilder cowbuilder
>  - gbp buildpackage --git-pbuilder --git-dist=ceres create --mirror 
> http://pkgmaster.devuan.org/merged
>  - set up debian/gbp.conf
>  - tag the upstream release
>  - gbp buildpackage --git-pbuilder --git-dist=ceres
> 
> Hope that helps.

Thanks for the hint; I was missing the tag part, but that didn't help
either. If I build for chimaera, then all works fine. For ceres it
fails with the same problem. I have tried to install gpg and gpg-agent
in the chroot, the warning messages disappeared but that also didn't
help.

The good news is that I could fix some of the lintian warnings for the
package; the bad news is that I have no clue why this is not working
for ceres...

With best regards,
b.